Installing RTC plugins into Eclipse result in Version Intolerance errors

Technote (troubleshooting)


Problem(Abstract)

Attempts to install or update IBM Rational Team Concert (RTC) plugins into an existing Eclipse instance results in Version Intolerance errors.

Symptom

The installation will fail with the following errors:

Installing bundle "org.eclipse.xsd_2.5.0.v200906151043" into this existing Eclipse installation does not meet the version tolerance of "[2.6.0, 3.0.0]" for the existing bundle "org.eclipse.xsd.edit"

Installing bundle "org.edlipse.emf.edit_2.5.0.v200906151043" into this existing Eclipse installation does not meet the version tolerance of "[2.6.0, 3.0.0]" for the existing bundle "org.eclipse.xsd.edit"

Installing bundle "org.edlipse.emf.ecore_2.5.0.v200906151043" into this existing Eclipse installation does not meet the version tolerance of "[2.6.0, 3.0.0]" for the existing bundle "org.eclipse.jts.ws.jaxrs.ui"


Cause

RTC 3.0.x includes older versions of the plugins mentioned in the above errors, and are incompatible with the current versions deployed within Eclipse.

The 2.6.0 version of these plug-ins are not presented in the Eclipse 3.6.x Classic version, but these editions do include at least one of those plug-ins:

  • Eclipse for RCP and RAP developers
  • Eclipse IDE for Java Developers
  • Eclipse IDE for Java EE Developers

Resolving the problem

P2 workaround for JEE Edition:

  1. Extract the Eclipse zip and start Eclipse

  2. Download emf-xsd-SDK-2.6.1 package and extract to a temporary directory

  3. Download the RTC 3.0 iFix1 p2 client zip and extract to a temporary directory

  4. Select Help -> Install New Software

  5. Click "Add" and select the eclipse directory containing the EMF update site created in Step 2

  6. Restart eclipse when prompted

  7. Select Help -> Install New Software

  8. Click "Add" and select the repository directory containing the RTC update site created in Step 3

  9. Restart when prompted.

Installation Manager workaround for JEE and RCP Edition:

  1. Extract the Eclipse zip and start Eclipse

  2. Download emf-xsd-SDK-2.6.1 package and extract to a location

  3. Select Help -> Install New Software

  4. Click "Add" and select the eclipse directory containing the EMF update site created in Step 2

  5. Restart eclipse when prompted

  6. Close Eclipse

  7. Use the Launchpad to start IM to install the RTC Eclipse Client, following the steps within Installation manager.

Installation Manager workaround for CPP Edition:

  1. Extracted the Eclipse zip and start Eclipse

  2. Download the org.eclipse.pde-3.6.2.zip and org.eclipse.jdt-3.6.2.zip packages

  3. Select Help -> Install New Software

  4. Click "Add" and Select the eclipse zips containing the PDE and JDT update sites downloaded in Step 2

  5. Restart eclipse when prompted

  6. Close Eclipse

  7. Use the Launchpad to start IM to install the RTC Eclipse Client, following the steps within Installation manager.

Installation Manager workaround for Java edition:

  1. Extracted the Eclipse zip and start Eclipse

  2. Download emf-xsd-SDK-2.6.1 and org.eclipse.pde-3.6.2 packages and extract to a location

  3. Select Help -> Install New Software

  4. Click "Add"

  5. Select the eclipse directory containing the EMF update site created in Step 2

  6. Select "Add" again

  7. Select the eclipse zips containing the PDE and JDT update sites from Step 2 and install the new features

  8. Restart eclipse when prompted

  9. Close Eclipse

  10. Use the Launchpad to start IM to install the RTC Eclipse Client, following the steps within Installation manager


Leverage the Jazz Community

Jazz and Rational Team Concert have an active community that can provide you with additional resources. Browse and contribute to the User forums, contribute to the Team Blog and review the Team wiki.
Refer to technote 1319600 for details and links.

Related information

Unable to Install 3.0 Client into Eclipse 3.6.1 or Ecli
RTC 3.0 (and iFix1) doesn't intall as plugin (p2) in ec

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Team Concert
Eclipse

Software version:

3.0

Operating system(s):

Windows

Reference #:

1506288

Modified date:

2014-03-31

Translate my page

Machine Translation

Content navigation